<div>
    <h2 id="page-heading">
        <span jhiTranslate="twentyOnePointsApp.points.home.title">Points</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-points" [routerLink]="['/points/new']">
            <fa-icon icon="plus"></fa-icon>
            <span class="hidden-sm-down"  jhiTranslate="twentyOnePointsApp.points.home.createLabel">
            Create a new Points
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'twentyOnePointsApp.points.home.search' | translate }}">

                    <button class="input-group-append btn btn-info" (click)="search(currentSearch)">
                        <fa-icon icon="search"></fa-icon>
                    </button>

                    <button class="input-group-append btn btn-danger" (click)="search('')" *ngIf="currentSearch">
                        <fa-icon icon="trash-alt"></fa-icon>
                    </button>
                </div>
            </form>
        </div>
    </div>

    <div class="alert alert-warning" id="no-result" *ngIf="points?.length === 0">
        <span jhiTranslate="twentyOnePointsApp.points.home.notFound">No points found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="points && points.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="date"><span jhiTranslate="twentyOnePointsApp.points.date">Date</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="exercise"><span jhiTranslate="twentyOnePointsApp.points.exercise">Exercise</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="meals"><span jhiTranslate="twentyOnePointsApp.points.meals">Meals</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="alcohol"><span jhiTranslate="twentyOnePointsApp.points.alcohol">Alcohol</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="notes"><span jhiTranslate="twentyOnePointsApp.points.notes">Notes</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="user.login"><span jhiTranslate="twentyOnePointsApp.points.user">User</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let points of points ;trackBy: trackId">
                    <td><a [routerLink]="['/points', points.id, 'view']">{{ points.id }}</a></td>
                    <td>{{ points.date | date:'mediumDate' }}</td>
                    <td>{{ points.exercise }}</td>
                    <td>{{ points.meals }}</td>
                    <td>{{ points.alcohol }}</td>
                    <td>{{ points.notes }}</td>
                    <td>
                        {{ points.user?.login }}
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/points', points.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/points', points.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(points)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="points && points.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
